Subject: Re: [PATCH 1/2] xdl_diff: identify call sites.

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Dec 2007 23:03:57 -0800

Junio C Hamano <[email-masked]> writes:

> This inserts a new function xdi_diff() that currently does not
> do anything other than calling the underlying xdl_diff() to the
> callchain of current callers of xdl_diff() function.
>
> Signed-off-by: Junio C Hamano <[email-masked]>
> ---
>
>  Nicolas Pitre <[email-masked]> writes:
>
>  > On Wed, 12 Dec 2007, Junio C Hamano wrote:
>  >
>  >> Here are the topics that have been cooking.
>  >
>  > What about the blame speedup patch from Linus (Message-ID: 
>  > <[email-masked]>)
>
>  I would prefer to do a bit more generic solution, not a special hack for
>  speeding up blame on prepend-only files, with a proper log message.

FWIW, I re-ran the gcc/ChangeLog annotation Linus cited and got similar
improvements (about 4x speed-up) with his version and this version and
their results seem to match.  I'll apply these to 'master' and push the
results out.